Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.swing
Class DefaultActionList

    java.lang.Object
      com.eviware.soapui.support.action.swing.DefaultActionList

All Implemented Interfaces:
  ActionList

    public class DefaultActionList

extends java.lang.Object
implements ActionList

Default ActionList implementation

Author:
  Ole.Matzura

Constructor Summary
`DefaultActionList()`
`DefaultActionList(java.lang.String label)`

Method Summary
`void` | `addAction(javax.swing.Action action)`
`void` | `addActions(ActionList defaultActions)`
`void` | `addSeparator()`
`void` | `clear()`
`void` | `dispatchKeyEvent(java.awt.event.KeyEvent e)`
`javax.swing.Action` | `getActionAt(int index)`
`int` | `getActionCount()`
`javax.swing.Action` | `getDefaultAction()`
`java.lang.String` | `getLabel()`
`boolean` | `hasDefaultAction()`
`void` | `insertAction(javax.swing.Action action, int index)`
`void` | `insertSeparator(int index)`
`void` | `performDefaultAction(java.awt.event.ActionEvent event)`
`void` | `removeAction(int index)`
`void` | `setDefaultAction(javax.swing.Action defaultAction)`
`void` | `setEnabled(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultActionList

    public DefaultActionList()

### DefaultActionList

    public DefaultActionList(java.lang.String label)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `ActionList`

### getActionCount

    public int getActionCount()

  Specified by:
    `getActionCount` in interface `ActionList`

### getActionAt

    public javax.swing.Action getActionAt(int index)

  Specified by:
    `getActionAt` in interface `ActionList`

### getDefaultAction

    public javax.swing.Action getDefaultAction()

  Specified by:
    `getDefaultAction` in interface `ActionList`

### setDefaultAction

    public void setDefaultAction(javax.swing.Action defaultAction)

  Specified by:
    `setDefaultAction` in interface `ActionList`

### addAction

    public void addAction(javax.swing.Action action)

  Specified by:
    `addAction` in interface `ActionList`

### addSeparator

    public void addSeparator()

  Specified by:
    `addSeparator` in interface `ActionList`

### insertAction

    public void insertAction(javax.swing.Action action,
                             int index)

  Specified by:
    `insertAction` in interface `ActionList`

### insertSeparator

    public void insertSeparator(int index)

  Specified by:
    `insertSeparator` in interface `ActionList`

### hasDefaultAction

    public boolean hasDefaultAction()

  Specified by:
    `hasDefaultAction` in interface `ActionList`

### performDefaultAction

    public void performDefaultAction(java.awt.event.ActionEvent event)

  Specified by:
    `performDefaultAction` in interface `ActionList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `ActionList`

### dispatchKeyEvent

    public void dispatchKeyEvent(java.awt.event.KeyEvent e)

  Specified by:
    `dispatchKeyEvent` in interface `ActionList`

### addActions

    public void addActions(ActionList defaultActions)

  Specified by:
    `addActions` in interface `ActionList`

### setEnabled

    public void setEnabled(boolean b)

### removeAction

    public void removeAction(int index)

  Specified by:
    `removeAction` in interface `ActionList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.